## NAME

v.parallel - Creates parallel line to input vector lines.

## KEYWORDS

vector, geometry, buffer, line

## SYNOPSIS

v.parallel
v.parallel --help
v.parallel [-rb] input=name [layer=string] output=name distance=float [minordistance=float] [angle=float] side=string [tolerance=float] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-r
  Make outside corners round
-b
  Create buffer-like parallel lines
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input vector map
  Or data source for direct OGR access
layer=string
  Layer number or name ('-1' for all layers)
  A single vector map can be connected to multiple database tables. This number determines which table to use. When used with direct OGR access this is the layer name.
  Default: -1
output=name [required]
  Name for output vector map
distance=float [required]
  Offset along major axis in map units
  Options: 0-100000000
minordistance=float
  Offset along minor axis in map units
  Options: 0-100000000
angle=float
  Angle of major axis in degrees
  Default: 0
side=string [required]
  Side
  Options: left, right, both
  Default: right
  left: Parallel line is on the left
  right: Parallel line is on the right
  both: Parallel lines on both sides
tolerance=float
  Tolerance of arc polylines in map units
  Options: 0-100000000

## DESCRIPTION

v.parallel creates parallel lines to the input vector lines which can be used as half-buffers.

## NOTES

Usage of -b flag will overrule the side parameter.

## KNOWN ISSUES

There is a problem with side-offset parallel line generation for inside corners. To avoid this problem, the -b flag might be used.

## SEE ALSO

v.buffer

## AUTHORS

Radim Blazek
Rewritten by Rosen Matev (with support through the Google Summer of Code program 2008)

## SOURCE CODE

Available at: v.parallel source code (history)

Latest change: Thursday Jan 26 14:10:26 2023 in commit: cdd84c130cea04b204479e2efdc75c742efc4843

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.3.0dev Reference Manual